\name{sam.lambda}
\alias{sam.lambda}
\title{Further SAM analysis}
\description{If the output of a previous analysis with \code{sam} was assigned to a vector, this function
    can be used to compute the number of significant genes and the FDR for values of the threshold Delta
    that was not used in the previous analysis.}

\usage{sam.lambda(sam.out,delta)}

\arguments{
    \item{sam.out}{the object to which the output of a previous analysis with \code{sam} was assigned.}
    \item{delta}{vector of values for the threshold Delta.}
}

\value{a table of statistics (estimate for \eqn{p_0}{p0}, number of significant genes,
    number of falsely called genes and FDR) for the specified set of Deltas.
}

\note{
    This function can only be used for a SAM analysis -- not for a SAM.Wilc analysis.

    SAM was introduced by Tusher et al. (2001).

    !!! There is a patent pending for the SAM technology at Stanford University. !!!
}

\seealso{
    \code{\link{sam.plot}} \code{\link{sam}} \code{\link{sam.wilc}}
}


\references{
    Tusher, V.G., Tibshirani, R., and Chu, G. (2001). Significance analysis of microarrays
    applied to the ionizing radiation response, \emph{PNAS}, 98, 5116-5121.

    Schwender, H. (2003). Assessing the False Discovery Rate in a Statistical Analysis
    of Gene Expression Data, Chapter 5, \emph{Diploma thesis}, Department of Statistics,
    University of Dortmund, \url{http://de.geocities.com/holgerschw/thesis.pdf}.
}

\author{Holger Schwender, \email{holger.schw@gmx.de}}

\keyword{htest}
